-- 获得新觉醒/七天登录形态
Lua_OpenSeventDayModelPanel = class("Lua_OpenSeventDayModelPanel", Lua_Window);
function Lua_OpenSeventDayModelPanel:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_OpenSeventDayModelPanel";
	self.skinName = "SeventDayModelPanel_skin";
	self.showClose = false;
end

function Lua_OpenSeventDayModelPanel:buildShowItem()
	self:superCall("buildShowItem");
	
	self.effect = UICreate.createUIEffect(self.content, "/effects/scsEffects/gui_newfunction_1", "gui_newfunction_1", 6, 95);
	self.effect:SetRenderQueue(self.bg, 2, 2, false);

  	self.okBtn:addClickFuntion(self, self.onBtnCloseClick)
end

function Lua_OpenSeventDayModelPanel:showWin(param)
	self:superCall("showWin", param);

	if type(param) == "number" then -- 七天登录
		local index = DataCenter.QiandaoData.login_days + 1;
		if index > 14 then
			index = 14;
		end

		local data = Lua_SeventVo.new(index);
		local modelName = data.getmodelurlName;
		self.modelEffect = UICreate.createUIEffect(self.content, "/mounts/"..modelName, tostring(modelName), 0, -35);
		self.modelEffect:SetRenderQueue(self.bg, 10, 2)
		self.modelEffect:setSacle(data.getmodelsca[1] / 100, data.getmodelsca[2] / 100, data.getmodelsca[3] / 100);
		self.modelEffect:setRot(data.getmodelros[1], data.getmodelros[2], data.getmodelros[3]);
		self.modelEffect:setLocation(data.getmodelpos[1], data.getmodelpos[2], data.getmodelpos[1]);

		self.tipsLab.text = DataCenter.QiandaoData.onlinedata[index].daytips;
	else -- 觉醒
		local modelIdDic = Lua_AwakeUtil:awakeModelId();
		local shapeConfig;
		for k,v in pairs(modelIdDic) do
			if DataCenter.awakeData.cur_model_id == v then		
				shapeConfig = getConfig({"playerHanger", tostring(Lua_AwakeUtil:modelName(k))});
				if shapeConfig == nil then
					shapeConfig = getConfig({"playerHanger", tonumber(Lua_AwakeUtil:modelName(k))});
				end
				self.floder = shapeConfig.floder;
				self.fileName = shapeConfig.fileName;
				self.modelName = shapeConfig.modelName;
				break;
			end
		end

		local modelsca = Lua_AwakeUtil:getmodelsca(DataCenter.awakeData.cur_model_id);
		local modelros = Lua_AwakeUtil:getmodelros(DataCenter.awakeData.cur_model_id);
		local modelpos = Lua_AwakeUtil:getmodelpos(DataCenter.awakeData.cur_model_id);
    	if self.modelEffect == nil then
			self.modelEffect = UICreate.createUIEffect(self.content, self.floder.."/"..self.fileName, tostring(self.fileName), 0, 0);
			self.modelEffect:SetRenderQueue(self.bg, 10, 2);
			self.modelEffect:setSacle(modelsca[1], modelsca[2], modelsca[3]);
			self.modelEffect:setRot(modelros[1], modelros[2], modelros[3]);
			self.modelEffect:setLocation(modelpos[1], modelpos[2], modelpos[3]);
		end

		local gettips = Lua_AwakeUtil:gettips(DataCenter.awakeData.cur_model_id);
		self.tipsLab.text = gettips;
	end	
end

function Lua_OpenSeventDayModelPanel:onBtnCloseClick()
	if type(self.showData) == "number" then
		local index = DataCenter.QiandaoData.login_days + 1;
		Lua_WindowUtil.openWin("Lua_SeventRewardWindow", WinParam.ACTION_OPEN, index);
	else
		Lua_WindowUtil.openWin("Lua_AwakeWindow")
	end
	self:hide();
end

function Lua_OpenSeventDayModelPanel:dispose()
	if self.modelEffect ~= nil then
		self.modelEffect:dispose();
		self.modelEffect = nil;
	end
	if self.effect ~= nil then
		self.effect:dispose();
		self.effect = nil;
	end

	self:superCall("dispose");
end