Lua_SeventRewardWindow = class("Lua_SeventRewardWindow", Lua_Window);
function Lua_SeventRewardWindow:ctor(p)	
	self:superCall("ctor");

	self.windowName = "Lua_SeventRewardWindow";
	self.skinName = "Lua_SeventWindow_skin";
	self.showClose = false;
end

function Lua_SeventRewardWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.dayNumSp = Lua_NumberImage.new(self.content);
	self.dayNumSp.prefix = "a_";
	self.dayNumSp.num = 0;
	self.dayNumSp:setDepth(1);
	self.dayNumSp:setLocation(198, 34);

	self.rewardItem = Lua_RewardItem.new(self.content);
	self.rewardItem.pivot = 2;
	self.rewardItem:setDepth(3);
	self.rewardItem:setLayout(96, 96, 6);
	self.rewardItem:setMaxShow(6);
	self.rewardItem:setMouseEnble(true);
	self.rewardItem:setClickWin(true);
	self.rewardItem:setLocation(268, -148);

	local item;
	local posxDic = {-3, 112, 230, 348, 464, 581, 698};
	self.sevenArr = Array();
	for i = 1, 7 do
		item = Lua_SeventRewardItem.new(self.content);
		item.content.name = "Lua_SeventRewardItem"..i;
		item:setIndex(i);
		item:setLocation(posxDic[i], 4, 0);
		self.sevenArr:add(item)
	end

	self.redDot = UICreate.createUIAtlasImage(self.content, "common_atlas_1", "ui_common_hongdian", 356, -222, 0, 0);
	self.redDot:setDepth(5);

	self.getBtn:addClickFuntion(self, self.ongetClick);

	self:addLuaEvent("SEVENTDAY_BTNCLICK", self, self.upSelected);
	self:addLuaEvent("GETSEVENT_UPDATE", self, self.upSeventDayInfo);
	DataCenter.QiandaoData:getSevent();
end

function Lua_SeventRewardWindow:showWin(param)
	self:superCall("showWin", param);

	self:upSelected(param);
end

function Lua_SeventRewardWindow:upSeventDayInfo()
	local index = self.showData == nil and DataCenter.QiandaoData.login_days or self.showData;
	if index > 7 then
		self.tabIndex = 7;
		self.tabIndex1 = 0;
	else
		self.tabIndex = 0;
		self.tabIndex1 = 7;
	end
	self:upSelected(index);

	if self.isSelected == true then
		self:upSelected(self.Selected);
	end
    
    self.beforeSevenDayState = false;
	for i = 1, 7 do
		if DataCenter.QiandaoData.countDic[i] == 1 then
			self.beforeSevenDayState = true;
		end
	end

	for i = 1 + self.tabIndex, #DataCenter.QiandaoData.countDic - self.tabIndex1 do
		self.isSelected = false;
		if DataCenter.QiandaoData.countDic[i] == 3 or DataCenter.QiandaoData.countDic[i] == 4 then
			self.sevenArr[i - self.tabIndex].qiandaoBg:setEnable(true);
			self.sevenArr[i - self.tabIndex].qiandaoLab:setEnable(true);
		else
			self.sevenArr[i - self.tabIndex].qiandaoBg:setEnable(false);
			self.sevenArr[i - self.tabIndex].qiandaoLab:setEnable(false);
		end

		if DataCenter.QiandaoData.login_days <= 7 or (DataCenter.QiandaoData.login_days > 7 and self.beforeSevenDayState) then
			self.isShowEff = true;
		end

		if DataCenter.QiandaoData.countDic[i] == 1 then
			self.isSelected = true;
			self:upSelected(i);
			self.Selected = i;
			break; 
		end
	end
	if self.isShowEff == true and self.mEffect == nil  then
		self.mEffect = UICreate.createUIEffect(self.content, "/effects/scsEffects/gui_sevenday_tishi", "gui_sevenday_tishi", 478, 85);
		self.mEffect:SetRenderQueue(self.bg, 10, 2);
		self.startTime = 4;
		self:addTimer("Lua_SeventRewardWindow", 2, self, self.onRemoveEff);
	end
end

function Lua_SeventRewardWindow:onRemoveEff()
	if self.startTime > 0 then
		self.startTime = self.startTime - 1;
	else
		Lua_CommonUtil.removeTimer(self, self.onRemoveEff);
		self.mEffect:dispose();
	end
end

function Lua_SeventRewardWindow:upSelected(index)
	if index > 7 then
		self.tabIndex = 7;
	else
		self.tabIndex = 0;
	end
	if index > 14 then
		index = 14;
	end

	self.index = index
	local data = Lua_SeventVo.new(index);
	for i = 1, self.sevenArr:getSize() do
		if i + self.tabIndex == index then
			local dayNum = i + self.tabIndex;
			self.sevenArr[i]:upSelectedItem(true);
			if dayNum < 10 then
				self.giftTips:setAltas("sevenDays_atlas", "ui_7day_z_0"..dayNum);
				self.dayNumSp:setLocation(200, 40);
		    else
				self.giftTips:setAltas("sevenDays_atlas", "ui_7day_z_"..dayNum);
				self.dayNumSp:setLocation(188, 40);
		    end
			self.dayNumSp.num = i + self.tabIndex;
		else
			self.sevenArr[i]:upSelectedItem(false);
		end

		local spriteName;
		local careerLimit = data:career_limit(i + self.tabIndex);
		if careerLimit == 1 then
			spriteName = i + self.tabIndex.."_"..DataCenter.roleData.career.."_title";
		else
			spriteName = i + self.tabIndex.."_title";
		end
		self.sevenArr[i]:setIndex(i + self.tabIndex);
		self.sevenArr[i].rewardSp:setAltas("sevenDays_atlas", spriteName);
	end

	if self.modelEffect~= nil then
		self.modelEffect:dispose();
		self.modelEffect = nil;
	end
	if self.playerModel ~= nil then
		self.playerModel:dispose();
		self.playerModel = nil;
	end

	local modelPos = Vector3(data.modelpos[1], data.modelpos[2], data.modelpos[3]);
	local modelRot = Vector3(data.modelros[1], data.modelros[2], data.modelros[3]);
	local modelSca = data.modelsca[1];

	if data.config.fashionModel ~= nil then
		local modelData = UsData();
		modelData.career = DataCenter.roleData.career;
		if modelData.career == 2 then
			modelData.gender = Lua_ThingDefine.FEMALE;
		else
			modelData.gender = Lua_ThingDefine.MALE;
		end
		local a = data.modelSubType;
		if data.modelSubType == Lua_PackTypeDefine.EQUIP then
			if data.modelPart == 12 then
				modelData.weapon_id = tostring(data.modelId); -- 武器
			elseif data.modelPart == 2 then
				modelData.clothes_id = tostring(data.modelId); -- 衣服
			end
		elseif data.modelSubType == Lua_PackTypeDefine.FASION then
			if data.modelPart == 3 then
				modelData.fashion_clothes_id = tostring(data.modelId);--时装衣服
			elseif data.modelPart == 2 then
				modelData.fashion_weapon_id = tostring(data.modelId);--时装武器
			elseif data.modelPart == 1 then
				modelData.fashionHeadId = tostring(data.modelId);--时装头饰
			end
		end
		modelData.nickname = "";
		modelData.hp = 1;
		modelData.kind = 2;
		modelData.isShowName = false;
		modelData.IsUI = true;

		if modelData ~= nil then
			if self.playerModel == nil then
				self.playerModel = ModelPlayer();
			end
			self.playerModel:init(self.content, modelPos, modelRot, modelData, nil, modelSca);
			self.playerModel:setRotEnable(true, -25, 80, 300, 400, 1);
			self.playerModel:SetRenderQueue(self.bg, 5, 2);
	    else
			if self.playerModel ~= nil then
				self.playerModel:dispose();
				self.playerModel = nil;
			end
		end
	else
		self.modelEffect = UICreate.createUIEffect(self.content, tostring(data.modelPath), tostring(data.modelName), 0, 0);
		self.modelEffect:setRotEnable(true, -166, -89, 300, 400, 1);
		self.modelEffect:SetRenderQueue(self.bg, 20, 2, false);
		self.modelEffect:setSacle(data.modelsca[1], data.modelsca[2], data.modelsca[3]);
		self.modelEffect:setLocation(data.modelpos[1], data.modelpos[2], data.modelpos[3]);
		self.modelEffect:setRot(data.modelros[1], data.modelros[2], data.modelros[3]);
		Lua_CommonUtil.removeTimer(self, self.effectLoop);
		if data.isFootprint == 1 then
			 self:addTimer("EffectLoop", 1, self, self.effectLoop);
		else
			Lua_CommonUtil.removeTimer(self, self.effectLoop);
		end
	end

	if DataCenter.QiandaoData.login_days - self.tabIndex == 1 then
		self.bar:setPercent(0 / 7);
	elseif DataCenter.QiandaoData.login_days - self.tabIndex == 2 then
		self.bar:setPercent(1 / 7);
	else
		self.bar:setPercent((DataCenter.QiandaoData.login_days - self.tabIndex) / 7);
	end
	self:rewardShow(index);
end

function Lua_SeventRewardWindow:effectLoop()
	if self.effectEnable == true then
		self.effectEnable = false;
		self.modelEffect:setEnable(false);
	else
		self.effectEnable = true;
		self.modelEffect:setEnable(true);
	end
end

function Lua_SeventRewardWindow:rewardShow(index)
	local data = Lua_SeventVo.new(index);
	local tvo;
	local arr = Array();
	for k,v in ipairs(DataCenter.QiandaoData.onlinedata[index].clientShow) do
		tvo = Lua_ToolVo.createToolVo(tonumber(v[2][1]), tonumber(v[2][2]), tonumber(v[2][3]));
		tvo.star = v[2][4];
		tvo.packType = 999;
		if data.isRoundEff[k] == 1 then
			tvo.roundEffect = true;
		end
		arr:add(tvo);
	end
	self.rewardItem:setRewardByToolVoList(arr);

	if DataCenter.QiandaoData.onlinedata[index].isActive == 0  then 
		self.getBtn.label = LanUtil.getValue(120814);
		self.getBtn.txt.color = Color.New(128 / 255, 128 / 255, 128 / 255, 1);
		self.getBtn:setBtnEnable(false);

		self.redDot:setEnable(false);
	elseif DataCenter.QiandaoData.onlinedata[index].isActive == 1  then 
		self.getBtn.label = LanUtil.getValue(120813);
		self.getBtn:setBtnEnable(true);
		self.getBtn:addClickFuntion(self, self.ongetClick);

		self.redDot:setEnable(true);
	else
		self.getBtn:setBtnEnable(false);
		self.getBtn.label = LanUtil.getValue(110029);  

		self.redDot:setEnable(false);
	end
end

function Lua_SeventRewardWindow:ongetClick()
	DataCenter.QiandaoData:gainSevent(self.index - 1);
end

function Lua_SeventRewardWindow:dispose()
	if self.dayNumSp ~= nil then
		self.dayNumSp:dispose();
		self.dayNumSp = nil;
	end
	if self.rewardItem ~= nil then
		self.rewardItem:dispose();
		self.rewardItem = nil;
	end
	if self.sevenArr ~= nil then
		self.sevenArr:dispose();
		self.sevenArr:clear();
		self.sevenArr = nil;
	end
	if self.mEffect ~= nil then
		self.mEffect:dispose();
		self.mEffect = nil;
	end
	if self.modelEffect ~= nil then
		self.modelEffect:dispose();
		self.modelEffect = nil;
	end
	if self.playerModel ~= nil then
		self.playerModel:dispose();
		self.playerModel = nil;
	end
	Lua_CommonUtil.removeTimer(self, self.effectLoop);

	self:superCall("dispose");
end





--------------------------------------------------





Lua_SeventRewardItem = class("Lua_SeventRewardItem",Lua_DisplayObject)
function Lua_SeventRewardItem:ctor(p)	
	self:superCall("ctor", p, "SeventRewardItem_skin");
end

function Lua_SeventRewardItem:buildShowItem() 
	self:superCall("buildShowItem");

	self.qiandaoBg:setEnable(false);
	self.qiandaoLab:setEnable(false);

	self.rewardSp:addLoadCompleteFun(self, self.onLoadCompleteFun);
	self.bg:addClickFuntion(self, self.dayBgClick);
end

function Lua_SeventRewardItem:setIndex(index) 
	self.index = index;
	self.dayLab.text = LanUtil.formateStr(LanUtil.getValue(120811), tostring(index));
end

function Lua_SeventRewardItem:upSelectedItem(val)
	if val then
		self.bg:setAltas("sevenDays_atlas", "ui_7day_bg_03");
	else
		self.bg:setAltas("sevenDays_atlas", "ui_7day_bg_02");
	end
end

function Lua_SeventRewardItem:onLoadCompleteFun()
	self.rewardSp:resetSize();
end

function Lua_SeventRewardItem:dayBgClick()
	Lua_MsgUtil.callFunc("SEVENTDAY_BTNCLICK", self.index);
end